#! /bin/sh
_NSTEP=4
_NINIT=8
_NSTOP=128

_FONT_INDEX="index"
_FONT_DIR="fonts.dir"
_FONT_SCALE="fonts.scale"
_FONT_ALIAS="fonts.alias"
_FONT_DIR_MADD="fonts.dir.add"
_FONT_ALIAS_MADD="fonts.alias.add"

#================ Programe ==========================
rm $_FONT_DIR $_FONT_ALIAS $_FONT_SCALE;touch $_FONT_DIR;touch $_FONT_ALIAS;touch $_FONT_SCALE
_TFNUM=`cat $_FONT_INDEX|wc -l`
_FADD=`cat $_FONT_DIR_MADD|wc -l`
_TFNUM=`expr $_TFNUM \* 1`
_XFNUM=`expr $_TFNUM \* 4`
_FNUM=`expr $_FADD + $_XFNUM`
_SCALE=`cat $_FONT_INDEX|awk '{print($1" -"$2"-"$3"-medium-r-normal--0-0-0-0-"$4"-0-"$5)}'`

_FONTDIR=`cat $_FONT_INDEX|awk '{print($1" -"$2"-"$3"-medium-r-normal--0-0-0-0-"$4"-0-"$5);
		print("ab=y:"$1" -"$2"-"$3"-bold-r-normal--0-0-0-0-"$4"-0-"$5);
		print("ai=0.3:"$1" -"$2"-"$3"-medium-i-normal--0-0-0-0-"$4"-0-"$5);
		print("ab=y:ai=0.3:"$1" -"$2"-"$3"-bold-i-normal--0-0-0-0-"$4"-0-"$5);}'`

_FONTDIR_ADDON=`cat $_FONT_DIR_MADD`
_FONTALIAS_ADDON=`cat $_FONT_ALIAS_MADD`
cat >> $_FONT_SCALE << EOF
$_TFNUM
$_SCALE
EOF

cat >> $_FONT_DIR <<EOF
$_FNUM
$_FONTDIR
$_FONTDIR_ADDON
EOF


while [ "$_NINIT" != `expr $_NSTOP + $_NSTEP` ];do
	_FAL=`cat $_FONT_INDEX|awk '{print("-"$2"-Ne"$3"-medium-r-normal--"'$_NINIT'"-"'$_NINIT'"0-0-0-"$4"-"'$_NINIT'"0-0-"$5" -"$2"-"$3"-medium-r-normal--"'$_NINIT'"-"'$_NINIT'"0-0-0-"$4"-"'$_NINIT'"0-"$5);
			print("-"$2"-Ne"$3"-medium-i-normal--"'$_NINIT'"-"'$_NINIT'"0-0-0-"$4"-"'$_NINIT'"0-"$5" -"$2"-"$3"-medium-i-normal--"'$_NINIT'"-"'$_NINIT'"0-0-0-"$4"-"'$_NINIT'"0-"$5);
			print("-"$2"-Ne"$3"-bold-r-normal--"'$_NINIT'"-"'$_NINIT'"0-0-0-"$4"-"'$_NINIT'"0-"$5" -"$2"-"$3"-bold-r-normal--"'$_NINIT'"-"'$_NINIT'"0-0-0-"$4"-"'$_NINIT'"0-"$5);
			print("-"$2"-Ne"$3"-bold-i-normal--"'$_NINIT'"-"'$_NINIT'"0-0-0-"$4"-"'$_NINIT'"0-"$5" -"$2"-"$3"-bold-i-normal--"'$_NINIT'"-"'$_NINIT'"0-0-0-"$4"-"'$_NINIT'"0-"$5)}'`

cat >> $_FONT_ALIAS << EOF
$_FAL
$_FONTALIAS_ADDON
EOF
	_NINIT=`expr $_NINIT + $_NSTEP`
done
